SoTextureCoordinateBinding(3IV)

NAME
SoTextureCoordinateBinding — node that specifies how texture coordinates are bound to shapes

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTextureCoordinateBinding

SYNOPSIS
#include <Inventor/nodes/SoTextureCoordinateBinding.h>

enum Binding {
SoTextureCoordinateBinding::PER_VERTEX
Current texture coordinates are applied sequentially to vertices of shape
SoTextureCoordinateBinding::PER_VERTEX_INDEXED
Current texture coordinates are indexed per vertex
}

Fields from class SoTextureCoordinateBinding:

SoSFEnum
value

Methods from class SoTextureCoordinateBinding:

SoTextureCoordinateBinding()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node specifies how the current texture coordinates are bound to vertex-based shapes that follow in the scene graph. The DEFAULT binding causes each shape to define its own default coordinates. These default coordinates typically cause a texture to be mapped across the whole surface of a shape.

FIELDS
SoSFEnum
value
Specifies how to bind texture coordinates to shapes.

METHODS

SoTextureCoordinateBinding()
Creates a texture coordinate binding node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction
Sets the current texture coordinate binding type.

FILE FORMAT/DEFAULTS
TextureCoordinateBinding {
value	PER_VERTEX_INDEXED
}

SEE ALSO
SoMaterialBinding, SoNormalBinding, SoTexture2, SoTexture2Transform, SoTextureCoordinate2, SoTextureCoordinateFunction, SoVertexShape